%global packname zoo
%global packver 1.8
# Some R packages do not use packrel
%global packrel 9

%global with_suggests 0

%global __suggests_exclude ^R\\((AER|mondate|strucchange|tis|tseries|xts)\\)

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          1
License:          GPLv2 or GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz

Summary:          Z's ordered observations for irregular time series
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-utils
BuildRequires:    R-graphics
BuildRequires:    R-grDevices
BuildRequires:    R-lattice >= 0.20.27
%if %{with_suggests}
BuildRequires:    R-AER
BuildRequires:    R-coda
BuildRequires:    R-chron
BuildRequires:    R-fts
BuildRequires:    R-ggplot2 >= 3.0.0
BuildRequires:    R-mondate
BuildRequires:    R-scales
BuildRequires:    R-stinepack
BuildRequires:    R-strucchange
BuildRequires:    R-timeDate
BuildRequires:    R-timeSeries
BuildRequires:    R-tis
BuildRequires:    R-tseries
BuildRequires:    R-xts
%endif

%package          devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description
An S3 class with methods for totally ordered indexed observations. It is
particularly aimed at irregular time series of numeric vectors/matrices and
factors. zoo's key design goals are independence of a particular index/date/
time class and consistency with with ts and base R by providing methods to
extend standard generics.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q -c -n %{packname}
sed -i -e 's/\r//' zoo/inst/doc/zoo*.Rnw


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


%check
# Missing lots of deps so no install flag
%{_bindir}/R CMD check --no-install %{packname}


%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/demo
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%doc %{_libdir}/R/library/%{packname}/TODO
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%files devel
%{_libdir}/R/library/%{packname}/include

%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 1.8.9-1
- Init package (Thanks to fedora team)
